Last Comment Bug 699641 - many of the layout/base/tests/ tests don't run on Windows
: many of the layout/base/tests/ tests don't run on Windows
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All Windows XP
: -- major (vote)
: mozilla10
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 16:54 PDT by David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
Modified: 2011-11-07 11:28 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-11-03 16:54:41 PDT
There's a big #ifdef in layout/base/tests/Makefile.in for tests that aren't supposed to run on Windows.  It looks like a significant number of tests have been added to this ifdef even when they should have been run on all platforms.

I'm not confident enough in my guess at which tests aren't supposed to be there to just do it right now given how much time I've got, but this needs (1) to get fixed and (2) better comments in the makefile (probably at the top, bottom, and between each bug number for the cases people are sorting) to reduce the chance of this happening.
Comment 1 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-11-04 19:50:07 PDT
The tests I added to that list should absolutely run on all platforms.  Sorry about that.  :(
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-11-05 10:13:26 PDT
I think this should probably look like:

ifdef Windows
# BUG AAA should not be run on Windows because ...
TEST_PATH += Tests for Bug AAA only \
             ... \
             $(NULL)
# BUG BBB should not be run on Windows because ...
TEST_PATH += Tests for Bug BBB only \
             ... \
             $(NULL)
# End of tests that should not be run on Windows
endif
Comment 3 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-11-05 15:48:31 PDT
https://tbpl.mozilla.org/?tree=Try&rev=1f107262cc0c
Comment 4 Simon Montagu :smontagu 2011-11-06 07:26:52 PST
All my tests in the list use WindowSnapshot, so are at least prima facie likely to have issues on Windows. I don't remember if I tested them outside the list or not.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-11-06 12:56:16 PST
(In reply to Simon Montagu from comment #4)
> All my tests in the list use WindowSnapshot, so are at least prima facie
> likely to have issues on Windows. I don't remember if I tested them outside
> the list or not.

Yeah, I came to the same conclusion yesterday, and the patch I wrote yesterday and pushed to try moves all of bzbarsky's and smaug's tests and none of yours:
https://hg.mozilla.org/users/dbaron_mozilla.com/patches/raw-file/2822fa76356b/run-tests-on-windows

Unfortunately the tests I wanted didn't actually run...
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-11-06 13:06:15 PST
https://tbpl.mozilla.org/?tree=Try&rev=42d3729cc5e9
Comment 7 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-11-06 21:39:18 PST
It doesn't seem like I can actually get try runs on Windows (bug 700168 / bug 697802), so I used inbound as try:

https://hg.mozilla.org/integration/mozilla-inbound/rev/4aff6c59deb8
Comment 8 Marco Bonardo [::mak] 2011-11-07 03:48:52 PST
https://hg.mozilla.org/mozilla-central/rev/4aff6c59deb8
Comment 9 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-11-07 11:28:13 PST
I diffed one pair of mochitest logs (just the TEST-START lines) for each of Linux, Mac, and Windows on each side of the mozilla-inbound landing to check that the results were as expected:  no changes on Linux and Mac, and 4 new tests showing up on Windows.

Note You need to log in before you can comment on or make changes to this bug.